PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::optical::modal::FFT::Forward2D Struct Reference

Fourier transform of multiple 2D arrays. More...

`#include <solvers/optical/modal/fourier/fft.hpp>`

## Public Member Functions
| Forward2D ()
| Create uninitialized transform.
| Forward2D (Forward2D &&old)
| Move constructor.
Forward2D & | operator= (Forward2D &&old)
| Assignment operator.
| Forward2D (std::size_t strid, std::size_t n1, std::size_t n2, Symmetry symmetry1, Symmetry symmetry2, std::size_t ld=0)
| Init transform.
| ~Forward2D ()
void | execute (dcomplex *data, int lot=0)
| Execute transform.

## Detailed Description

Fourier transform of multiple 2D arrays.

Definition at line 72 of file fft.hpp.

## Constructor & Destructor Documentation

## ◆ Forward2D() [1/3]

plask::optical::modal::FFT::Forward2D::Forward2D | ( |  | ) |

Create uninitialized transform.

Definition at line 187 of file fftpack.cpp.

## ◆ Forward2D() [2/3]

plask::optical::modal::FFT::Forward2D::Forward2D | ( | Forward2D && | old | ) |

Move constructor.

Definition at line 189 of file fftpack.cpp.

## ◆ Forward2D() [3/3]

plask::optical::modal::FFT::Forward2D::Forward2D | ( | std::size_t | strid,
|  | std::size_t | n1,
|  | std::size_t | n2,
|  | Symmetry | symmetry1,
|  | Symmetry | symmetry2,
|  | std::size_t | ld = `0`
| ) |  |

Init transform.

Parameters

  strid | data stride
  n1,n2 | dimensions of a single array
  symmetry1,symmetry2 | symmetry of the transform
  ld | leading dimension (defaults to `n1`)

Definition at line 207 of file fftpack.cpp.

## ◆ ~Forward2D()

plask::optical::modal::FFT::Forward2D::~Forward2D | ( |  | ) |

Definition at line 336 of file fftpack.cpp.

## Member Function Documentation

## ◆ execute()

void plask::optical::modal::FFT::Forward2D::execute | ( | dcomplex * | data,
|  | int | lot = `0`
| ) |  |

Execute transform.

Parameters

  data | data to execute FFT
  lot | number of arrays to transform, defaults to `strid`

Definition at line 245 of file fftpack.cpp.

## ◆ operator=()

Forward2D & plask::optical::modal::FFT::Forward2D::operator= | ( | Forward2D && | old | ) |

Assignment operator.

Definition at line 197 of file fftpack.cpp.

The documentation for this struct was generated from the following files:

- solvers/optical/modal/fourier/fft.hpp
- solvers/optical/modal/fourier/fftpack.cpp